<template>
  <div class="result">
    <div class="image" :style="{ backgroundImage: `url(${currentFileDataUri})` }"/>
    <div v-if="apiResult" class="result">
      <h1>It's {{result}}</h1>
    </div>
    <div v-else class="loading">
      <Loading />
    </div>
    <button :diabled="!apiResult" class="repeat" @click="reset">Another one!</button>
  </div>
</template>

<script>
import { mapState, mapActions } from 'vuex'

import Loading from './Loading'

export default {
  name: 'result',
  components: {
    Loading
  },
  computed: {
    ...mapState(['currentFileDataUri', 'apiResult']),
    result() {
      const { trump, orange, other } = this.apiResult
      const minValue = 0.5

      if (trump < minValue && orange < minValue && other < minValue) return 'neither!'

      const prefix = (value) => value > 0.7

      if (trump > orange && trump > other) return 'an orange!'
      if (orange > trump && orange > other) return 'Donald Trump!'
      if (other > trump && other > orange) return 'neither!'
    }
  },
  methods: {
    ...mapActions(['reset'])
  }
}
</script>

<style lang="scss" scoped>
@import '../config.scss';

.result {
  width: 100%;
}

.loading {
  display: flex;
  justify-content: center;
  align-items: center;
}

.image {
  width: 100%;
  padding-top: 50%;
  background-size: contain;
  background-position: center;
  background-repeat: no-repeat;
  margin-bottom: 40px;
}

.repeat {
  width: 100%;
  height: 44px;
  margin-top: 32px;
  display: flex;
  justify-content: center;
  align-items: center;
  background-color: $orange;
  text-transform: capitalize;
  border-radius: 8px;
  border: none;
  color: $white;
  cursor: pointer;
  font-size: 16px;

  &:hover {
    opacity: 0.9;
  }

  &:active {
    opacity: 0.8;
  }
}

</style>
